Package org.apache.jasper.el

## Class ELContextWrapper

- java.lang.Object
- - jakarta.el.ELContext
  - - org.apache.jasper.el.ELContextWrapper

    public final class ELContextWrapper
    extends ELContext

Simple ELContextWrapper for runtime evaluation of EL w/ dynamic FunctionMappers

Author:
  jhook

### Constructor Summary

Constructors
`ELContextWrapper​(ELContext target, FunctionMapper fnMapper)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getContext​(Class<?> key)` Obtain the context object for the given key.
`ELResolver` `getELResolver()`
`FunctionMapper` `getFunctionMapper()`
`Locale` `getLocale()`
`VariableMapper` `getVariableMapper()`
`boolean` `isPropertyResolved()`
`void` `putContext​(Class<?> key, Object contextObject)` Add an object to this EL context under the given key.
`void` `setLocale​(Locale locale)`
`void` `setPropertyResolved​(boolean resolved)`

### Methods inherited from class jakarta.el.ELContext

`addEvaluationListener, convertToType, enterLambdaScope, exitLambdaScope, getEvaluationListeners, getImportHandler, getLambdaArgument, isLambdaArgument, notifyAfterEvaluation, notifyBeforeEvaluation, notifyPropertyResolved, setPropertyResolved`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ELContextWrapper

    public ELContextWrapper​(ELContext target,
                            FunctionMapper fnMapper)

### Method Detail

#### getELResolver

    public ELResolver getELResolver()

Specified by:
  `getELResolver` in class `ELContext`

#### getFunctionMapper

    public FunctionMapper getFunctionMapper()

Specified by:
  `getFunctionMapper` in class `ELContext`

#### getVariableMapper

    public VariableMapper getVariableMapper()

Specified by:
  `getVariableMapper` in class `ELContext`

#### getContext

    public Object getContext​(Class<?> key)

Description copied from class: `jakarta.el.ELContext`
Obtain the context object for the given key.

Overrides:
  `getContext` in class `ELContext`
Parameters:
  `key` - The key of the required context object
Returns:
  The value of the context object associated with the given key

#### getLocale

    public Locale getLocale()

Overrides:
  `getLocale` in class `ELContext`

#### isPropertyResolved

    public boolean isPropertyResolved()

Overrides:
  `isPropertyResolved` in class `ELContext`

#### putContext

    public void putContext​(Class<?> key,
                           Object contextObject)
                    throws NullPointerException

Description copied from class: `jakarta.el.ELContext`
Add an object to this EL context under the given key.

Overrides:
  `putContext` in class `ELContext`
Parameters:
  `key` - The key under which to store the object
  `contextObject` - The object to add
Throws:
  `NullPointerException` - If the supplied key or context is `null`

#### setLocale

    public void setLocale​(Locale locale)

Overrides:
  `setLocale` in class `ELContext`

#### setPropertyResolved

    public void setPropertyResolved​(boolean resolved)

Overrides:
  `setPropertyResolved` in class `ELContext`